中危 bind 内存破坏拒绝服务代码执行漏洞

CVE编号

CVE-2008-0122

利用情况

暂无

补丁情况

临时补丁

披露时间

2008-01-16
漏洞描述
ISC BIND 9.4.2及更早版本中的libbind中的inet_network函数中的off-by-one错误,如FreeBSD 6.2到7.0-PRERELEASE中的libc所使用,允许依赖于上下文的攻击者导致拒绝服务(崩溃)并可能通过精心设计的触发内存损坏的输入执行任意代码。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://lists.opensuse.org/opensuse-security-announce/2008-03/msg00004.html
http://secunia.com/advisories/28367
http://secunia.com/advisories/28429
http://secunia.com/advisories/28487
http://secunia.com/advisories/28579
http://secunia.com/advisories/29161
http://secunia.com/advisories/29323
http://secunia.com/advisories/30313
http://secunia.com/advisories/30538
http://secunia.com/advisories/30718
http://security.freebsd.org/advisories/FreeBSD-SA-08:02.libc.asc
http://sunsolve.sun.com/search/document.do?assetkey=1-26-238493-1
http://support.avaya.com/elmodocs2/security/ASA-2008-244.htm
http://www.isc.org/index.pl?/sw/bind/bind-security.php
http://www.kb.cert.org/vuls/id/203611
http://www.redhat.com/support/errata/RHSA-2008-0300.html
http://www.securityfocus.com/archive/1/487000/100/0/threaded
http://www.securityfocus.com/bid/27283
http://www.securitytracker.com/id?1019189
http://www.vupen.com/english/advisories/2008/0193
http://www.vupen.com/english/advisories/2008/0703
http://www.vupen.com/english/advisories/2008/1743/references
http://www14.software.ibm.com/webapp/set2/subscriptions/ijhifoeblist?mode=7&h...
http://www14.software.ibm.com/webapp/set2/subscriptions/pqvcmjd?mode=18&ID=4167
https://bugzilla.redhat.com/show_bug.cgi?id=429149
https://exchange.xforce.ibmcloud.com/vulnerabilities/39670
https://h20564.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_n...
https://issues.rpath.com/browse/RPL-2169
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://www.redhat.com/archives/fedora-package-announce/2008-January/msg00781.html
https://www.redhat.com/archives/fedora-package-announce/2008-January/msg00782.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 isc bind * Up to
(including)
9.4.2
运行在以下环境
系统 oracle_5 bind * Up to
(excluding)
9.3.4-6.P1.el5
运行在以下环境
系统 oracle_5 bind-chroot * Up to
(excluding)
9.3.4-6.P1.el5
运行在以下环境
系统 oracle_5 bind-devel * Up to
(excluding)
9.3.4-6.P1.el5
运行在以下环境
系统 oracle_5 bind-libbind-devel * Up to
(excluding)
9.3.4-6.P1.el5
运行在以下环境
系统 oracle_5 bind-libs * Up to
(excluding)
9.3.4-6.P1.el5
运行在以下环境
系统 oracle_5 bind-sdb * Up to
(excluding)
9.3.4-6.P1.el5
运行在以下环境
系统 oracle_5 bind-utils * Up to
(excluding)
9.3.4-6.P1.el5
运行在以下环境
系统 oracle_5 caching-nameserver * Up to
(excluding)
9.3.4-6.P1.el5
运行在以下环境
系统 redhat_5 bind * Up to
(excluding)
30:9.3.4-6.P1.el5
阿里云评分
5.4
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    临时补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    N/A
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况